import { s as c, I as p } from "./mwc-icon-CU54ISyR.mjs";
import { r as i, e as v } from "./query-assigned-elements-D930kELM.mjs";
import { n as m } from "./property-DJzm_oB9.mjs";
const u = ':host([filled]){font-variation-settings:"FILL" 1}';
var _ = Object.defineProperty, y = Object.getOwnPropertyDescriptor, a = (f, s, r, o) => {
  for (var e = o > 1 ? void 0 : o ? y(s, r) : s, l = f.length - 1, n; l >= 0; l--)
    (n = f[l]) && (e = (o ? n(s, r, e) : n(e)) || e);
  return o && e && _(s, r, e), e;
};
let t = class extends p {
  constructor() {
    super(...arguments), this.filled = !1;
  }
};
t.styles = [c, i(u)];
a([
  m({ type: Boolean, reflect: !0 })
], t.prototype, "filled", 2);
t = a([
  v("cv-icon")
], t);
const d = t;
export {
  t as CovalentIcon,
  d as default
};
